﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

// ReSharper disable once CheckNamespace
using HEAL.Attic;
using HeuristicLab.Common;
using HeuristicLab.Optimization;

namespace HeuristicLab.Algorithms.EGO {
  [StorableType("28cb2019-1dee-4912-857f-060f0f3d671f")]
  public interface ISurrogateAlgorithm<T> : IAlgorithm where T : IDeepCloneable {
    void SetInitialSamples(T[] solutions, double[] qualities);
  }
}
